Skip to main content
GET
https://api.aisa.one/apis/v1
/
dataforseo
/
business_data
/
google
/
hotel_searches
/
task_get
/
{id}
Get Google Hotel Searches Results by id
curl --request GET \
  --url https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_searches/task_get/{id} \
  --header 'Authorization: Bearer <token>'
{
  "version": "<string>",
  "version.status_code": 123,
  "version.status_message": "<string>",
  "version.time": "<string>",
  "version.cost": 123,
  "version.tasks_count": 123,
  "version.tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "result": [
    "<string>"
  ],
  "result.keyword": "<string>",
  "result.location_code": 123,
  "result.language_code": "<string>",
  "result.check_url": "<string>",
  "result.datetime": "<string>",
  "result.items_count": 123,
  "items": [
    "<string>"
  ],
  "items.type": "<string>",
  "items.hotel_identifier": "<string>",
  "items.title": "<string>",
  "items.stars": 123,
  "items.is_paid": true,
  "items.location": {},
  "items.latitude": 123,
  "items.longitude": 123,
  "items.reviews": {},
  "items.value": 123,
  "items.votes_count": 123,
  "items.mentions": [
    "<string>"
  ],
  "items.rating_distribution": {},
  "items.other_sites_reviews": [
    "<string>"
  ],
  "items.overview_images": [
    "<string>"
  ],
  "items.prices": {},
  "items.price": 123,
  "items.price_without_discount": 123,
  "items.currency": "<string>",
  "items.discount_text": "<string>",
  "items.check_in": "<string>",
  "items.check_out": "<string>",
  "items.visitors": 123,
  "items.items": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string

task identifier unique task identifier in our system in the UUID format you will be able to use it within 30 days to request the results of the task at any time

Response

Successful response

version
string

the current version of the API

version.status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

version.status_message
string

general informational message you can find the full list of general informational messages here

version.time
string

execution time, seconds

version.cost
number

total tasks cost, USD

version.tasks_count
integer

the number of tasks in the tasks array

version.tasks_error
integer

the number of tasks in the tasks array that were returned an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

result
string[]

array of results

result.keyword
string

keyword received in a POST array keyword is returned with decoded %## (plus character ‘+’ will be decoded to a space character); in order to obtain accurate search results, the location name is appended to the keyword automatically

result.location_code
integer

location code in a POST array

result.language_code
string

language code in a POST array

result.check_url
string

direct URL to search engine results you can use it to make sure that we provided accurate results

result.datetime
string

date and time when the result was received in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

result.items_count
integer

item types the number of items in the items array

items
string[]

encountered item types types of search engine results encountered in the items array; possible item types: hotel_search_item

items.type
string

type of element = ‘hotel_search_item’

items.hotel_identifier
string

unique identifier of a hotel entity in Google search example: CgoI-KWyzenM_MV3EAE

items.title
string

title of the hotel

items.stars
integer

hotel class rating class rating that ranges between 1-5 stars

items.is_paid
boolean

indicates a paid hotel listing if true, related hotel_search_item is a paid ad if false, related hotel_search_item is an organic hotel listing

items.location
object

GPS coordinates of the hotel’s location

items.latitude
number

latitude coordinate of the hotel in google maps example: "latitude": 51.584091

items.longitude
number

longitude coordinate of the hotel in google maps example: "longitude": -0.31365919999999997

items.reviews
object

hotel reviews and rating information

items.value
number

the average rating based on all reviews

items.votes_count
integer

the number of votes

items.mentions
string[]

hotel mentions note: this field always equals null; use it to facilitate integration and ensure interoperability with the Hotel Info endpoint

items.rating_distribution
object

rating distribution by votes note: this field always equals null; use it to facilitate integration and ensure interoperability with the Hotel Info endpoint

items.other_sites_reviews
string[]

reviews on third-party sites note: this field always equals null; use it to facilitate integration and ensure interoperability with the Hotel Info endpoint

items.overview_images
string[]

featured images for a hotel

items.prices
object

hotel price

items.price
integer

price per night

items.price_without_discount
integer

full price per night without a discount applied

items.currency
string

price currency USD is applied by default, unless specified in the POST array

items.discount_text
string

text about a discount applied

items.check_in
string

check-in date and time in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

items.check_out
string

check-out date and time in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

items.visitors
integer

number of hotel visitors for this price

items.items
string[]

array of items note: this field always equals null; use it to facilitate integration and ensure interoperability with the Hotel Info endpoint